# Created by pyp2rpm-3.3.8
%global pypi_name pytest-datadir
%global srcname pytest_datadir

Name:           python-%{pypi_name}
Version:        1.6.1
Release:        %mkrel 1
Summary:        pytest plugin for test data directories and files
Group:          Development/Python
License:        MIT
URL:            https://github.com/gabrielcnr/pytest-datadir
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
pytest plugin for manipulating test data directories and files.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
pytest plugin for manipulating test data directories and files.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pytest_datadir

rm -rf %{buildroot}%{_usr}/LICENSE

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md


%changelog
* Sat Feb 22 2025 wally <wally> 1.6.1-1.mga10
+ Revision: 2150732
- new version 1.6.1
- rebuild for python3.13

* Fri Jun 28 2024 papoteur <papoteur> 1.5.0-1.mga10
+ Revision: 2077783
- new version 1.5.0

* Fri Dec 08 2023 wally <wally> 1.4.1-2.mga10
+ Revision: 2015714
- rebuild for py3.12

* Sun Dec 04 2022 wally <wally> 1.4.1-1.mga9
+ Revision: 1917747
- new version 1.4.1

* Wed Aug 10 2022 wally <wally> 1.3.1-2.mga9
+ Revision: 1876666
- BR setuptools-scm to get correct mod version

* Wed Aug 10 2022 wally <wally> 1.3.1-1.mga9
+ Revision: 1876664
- imported package python-pytest-datadir

